﻿/// <reference path="../Themes/Jquery/jquery-1.11.1.min.js" />
/*
 * 功能：产品列表初始化
 * 作者：李建峰 113633664
 * 时间：2015-12-14
 */
var switchseed = 1; //行业精选切换标记
var divCount = $("#IndustryFeatured").find("div[name='industry']").length;
var timer;
var distributorCountry;
var brandagencyCity = "";
$(document).ready(function () {
    //IndustryFeaturedShow();
    $(".Sel_O").click(function (event) {
        var $target = $(event.target);
        if ($target.hasClass("Sel_MMBox")) {
            var data = $target.data();
            if (data.expend) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target);
                if (data.expend == "more") {
                    condition.more();

                }
                else {
                    condition.multiple();
                }
            }
        }
        else if ($target.hasClass("Sel_jt") || $target.hasClass("Sel_dx")) {
            var data = $target.parent().data();
            if (data.expend) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target.parent());
                if (data.expend == "more") {
                    condition.more();

                }
                else {
                    condition.multiple();
                }
            }
        }
        else if ($target.get(0).tagName == "INPUT" && $target.closest(".xxW").length <= 0) {
            var data = $target.data();
            if (data.operator) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target);
                if (data.operator == "save") {
                    condition.multipleSearch();
                }
                else {
                    condition.expend();
                }
            }
        }
        else if ($target.get(0).tagName == "LI" || $target.get(0).tagName == "A") {
            if ($target.closest(".xxW").length <= 0 || ($target.get(0).tagName == "LI" && $target.closest(".xxW").find(".xboxdx").length <= 0)) {
                var $conditionElement = $(this).parent();
                var condition = new Conditions($conditionElement, $target);
                condition.singSearch($conditionElement, $target);
            }
        }
    });
    $(".Sel_O .xxW .xbox ul li").click(function () {
        var box = $(this).closest(".xbox");
        if (box.hasClass("xboxdx")) {
            $(this).toggleClass("Sel_h");
            if ($(this).parent().find(".Sel_h").length > 0) {
                box.find(".xbab .xba2").removeClass("xba3");
            } else {
                box.find(".xbab .xba2").addClass("xba3");
            }
        }
    });
    $(".Sel_O .xxW .xbox .dxdd").click(function () {
        var box = $(this).closest(".xbox");
        box.find("ul li.Sel_h").removeClass("Sel_h");
        box.addClass("xboxdx");
        box.find(".xbab").show();
        box.find(".xbab .xba2").addClass("xba3");
        $(this).hide();
    });
    $(".Sel_O .xxW .xbab .xba1").click(function () {
        var box = $(this).closest(".xbox")
        box.find("ul li.Sel_h").removeClass("Sel_h");
        box.removeClass("xboxdx");
        box.find(".xbab").hide();
        box.find(".xbab .xba2").addClass("xba3");
        box.find(".dxdd").show();
    });

    $(".Sel_O .xxW .xbab .xba2").click(function () {
        var lis = $(this).closest(".xbox").find("ul li.Sel_h");
        var vs = [];
        var key = "";
        lis.each(function () {
            var n = $(this).closest("li").attr("data-name");
            if (!key) {
                key = $(this).closest("li").attr("data-key");
            }
            vs.push(n);
        });
        var name = vs.join("|");
        if (key && name) {
            window.location.href = removeUrlSearch("page", getUrl(key, name));
        }
    });
    $(".allw span").click(function (event) {
        var $target = $(event.target);
        if ($target.get(0).tagName == "I")
            $target = $target.parent();
        $(this).addClass("allwa").siblings().removeClass("allwa");
        if ($target.get(0).tagName == "I" || $target.get(0).tagName == "SPAN") {
            var $conditionElement = $(this).parent();
            var condition = new Conditions($conditionElement, $target);
            condition.singSearch($conditionElement, $target);
        }
    });
    $(".SelBox1").on("click", "li", function () {

        var data = $(this).data();
        if ($(this).hasClass("Sel_h")) {
            $(this).removeClass("Sel_h");
            window.location.href = removeUrlSearch("page", removeUrl(data.key));
        }
        else {
            $(this).addClass("Sel_h");
            window.location.href = removeUrlSearch("page", getUrl(data.key, data.name));
        }

    });
    displaySearchConditions();
    $(".Sel_Y").on("click", "b[data-key]", function () {
        var $target = $(this);
        $target.parent().remove();
        window.location.href = removeUrl($target.attr("data-key"));
    });
    //设置品牌显示
    $("a[data-brand='true']").click(function () {
        var id = $(this).attr("data-brand-id");
        //加载品牌数据

        $.ajax({
            url: "/UserProfile/PublishProduct/getbrand.ashx",
            data: { id: id },
            dataType: "json",
            success: function (data) {
                if (data) {
                    var $content = $("#dv_brand_content");
                    //清除提示内容
                    $content.html("");
                    $content.append($("<b></b>").attr("class", "PopClo fr").attr("data-close", true));
                    $content.append($("<h1></h1>").attr("class", "c1 fl").text(data.CompanyName));
                    //$content.append($("<img/>").attr({ src: "image/button_11.gif", width: 77, height: 22 }));
                    var $mtb = $("<div></div>").attr("class", "mTB");
                    $mtb.append($("<div></div>").attr("class", "PopTit").append("品牌介绍").append($("<a></a>").append($("<img/>").attr({
                        src: data.BrandLogo
                    }))));
                    var $table = $("<table></table>").attr({
                        width: "100%",
                        border: 0,
                        cellspacing: 0,
                        cellpadding: 0,
                        "class": "table"
                    });
                    $table.append($("<tr></tr>").append($("<th></th>").text("英文名称").attr("width", 70))
                        .append($("<td></td>").text(data.EnglishName))
                        .append($("<th></th>").text("有效期").attr("width", 70))
                        .append($("<td></td>").text(data.ExpiressName == "无" ? "长期" : data.ExpiressName)));
                    $table.append($("<tr></tr>").append($("<th></th>").text("注册商标").attr("width", 70))
                        .append($("<td></td>").text(data.Trademark ? "是" : "否"))
                        .append($("<th></th>").text("经营模式").attr("width", 70))
                        .append($("<td></td>").text(data.BusineseModelName)));

                    var $proxyCertificate = $("<td></td>");
                    if (data.ProxyCertificate) {
                        $proxyCertificate.html("<img src='" + data.ProxyCertificate + "' width=\"207\" height=\"50\" />");
                    }
                    $table.append($("<tr></tr>").append($("<th></th>").text("代理区域").attr("width", 70))
                        .append($("<td></td>").text(data.ProxyRegion.join("、")))
                        .append($("<th class=\"brandImg\"></th>").text("代理证书").attr("width", 70))
                        .append($proxyCertificate));

                    $table.append($("<tr></tr>").append($("<th></th>").text("品牌介绍").attr("width", 70))
                        .append($("<td colspan=\"3\" class=\"brandImgbig\"></td>").html(data.Introduction))
                    );



                    $mtb.append($table);
                    $content.append($mtb);
                }
            }
        });
        var $dialog = $("#dv_brand").dialog({
            modal: true,
            width: "1000px",
            dialogClass: "noneframe",
            open: function () {

            }
        });
        $("#dv_brand").on("click", "b[data-close]", function () {
            $dialog.dialog("close");
        });
    });


    //增加分页url
    $("a[data-page-number]").each(function () {
        var nm = $(this).attr("data-page-number");
        var url = getUrl("page", nm);
        $(this).attr("href", url);
    });
    //加载推广品牌
    var brandKey = "b";
    var brandNames = [];
    $("#ul_brand a").each(function () {
        brandNames.push($(this).attr("data-name"));
    });
    if (brandNames.length > 0) {
        $.ajax({
            url: "/UserProfile/GetBrand.ashx",
            type: "Post",
            data: { brand: brandNames.join("|") },
            dataType: "json",
            success: function (data) {
                if (data) {
                    var $brand = $("#ul_brand");
                    var total = data.length;
                    if (total > 0) {
                        $("#ul_brand>li").remove();
                    }
                    for (var i = 0; i < total; i++) {
                        var entity = data[i];
                        var $li = $("<li></li>");
                        if (entity.Logo) {
                            $li.append($("<img/>").attr({
                                "src": entity.Logo,
                                "width": 120,
                                "height": 60,
                                "alt": entity.Name,
                                "title": entity.Name
                            }));
                        }
                        $li.append($("<a></a>").attr({
                            "data-name": entity.Id,
                            "data-alias": entity.Name,
                            "data-key": brandKey,
                            "href": "javascript:void(0);"
                        }).text(entity.Name));
                        $brand.append($li)
                    }
                    //重新设置查询品牌显示
                    var $b = $(".Sel_h .icon_Pro[data-key='b']");
                    if ($b.length > 0) {
                        var brandId = $b.attr("data-name");
                        var alias = "";
                        var aliasArray = brandId.split("、");
                        var aliasArrayLen = aliasArray.length;
                        for (var i = 0; i < aliasArrayLen; i++) {
                            var $a = $("#ul_brand>li>a[data-key='b'][data-name='" + aliasArray[i] + "']");
                            if ($a.length > 0) {
                                var alia = $a.attr("data-alias");
                                if (alias != "") {
                                    alias += "、" + alia;
                                }
                                else {
                                    alias += alia;
                                }

                            }
                        }

                        $b.parent().html(alias + "<b class=\"icon_Pro icon_Pro_cha\" data-name=\"" + brandId + "\" data-key=\"b\"></b>");
                    }

                }
            }
        });
    }
    //设置更多
    var brandLength = $('#ul_brand>li').lenght;
    var $brandMore = $('.Sel_img [data-expend=\'more\']');
    if (brandLength > 8) {
        $brandMore.show();
    }
    else {
        $brandMore.hide();
    }
    $('.Sel_Option').each(function () {
        var optionLength = $(this).find('li[data-name]').length;
        var $optionMore = $(this).find('[data-expend=\'more\']');
        var area = $(this).attr('data-area');
        var maxLength = area == 'true' ? 12 : 8;
        if (optionLength > maxLength) {
            $optionMore.show();
        }
        else {
            $optionMore.hide();
        }
    });
    //GMP认证
    $(".gmp").mouseover(function () {
        var $current = $(this);
        var offset = $current.offset();
        var top = offset.top - $(window).scrollTop() + 20;
        var left = offset.left - $(window).scrollLeft() - 30;
        var id = $current.attr("data-id");
        $("#dv_gmp").show().css({ position: "fixed", "top": top + "px", "left": left + "px" });
        $.ajax({
            url: "/UserProfile/GetGMPAuthenticationInfo.ashx",
            type: "Get",
            data: { id: id },
            dataType: "json",
            success: function (data) {
                $("#tb_gmp tr").remove();
                var $gmp = $("#tb_gmp");
                $gmp.append($("<tr></tr>").append($("<th></th>").text("企业名称").attr({ width: 90, valign: top })).append($("<td></td>").text(data.AuthenticationCompany).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("证书编号").attr({ valign: top })).append($("<td></td>").text(data.CertificateNumber).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("认证范围").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationRange).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("省市").attr({ valign: top })).append($("<td></td>").text(data.Provice).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("地址").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationAddress).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("发证日期").attr({ valign: top })).append($("<td></td>").text(data.OpeningDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("有效期截止日").attr({ valign: top })).append($("<td></td>").text(data.EndDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("GMP").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationGMPVersion).attr({ valign: top })));
            }

        });

    }).mouseleave(function () {
        $("#dv_gmp").hide();
    });


    $(".gmp1").mouseover(function () {
        var $current = $(this);
        var offset = $current.offset();
        var top = offset.top - $(window).scrollTop() + 20;
        var left = offset.left - $(window).scrollLeft() - 30;
        var id = $current.attr("data-id");
        $("#dv_gmp1").show().css({ position: "fixed", "top": top + "px", "left": left + "px" });
        $.ajax({
            url: "/UserProfile/GetGMPAuthenticationInfo.ashx",
            type: "Get",
            data: { id: id },
            dataType: "json",
            success: function (data) {
                $("#tb_gmp1 tr").remove();
                var $gmp = $("#tb_gmp1");
                $gmp.append($("<tr></tr>").append($("<th></th>").text("企业名称").attr({ width: 90, valign: top })).append($("<td></td>").text(data.AuthenticationCompany).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("编号").attr({ valign: top })).append($("<td></td>").text(data.AreaCode).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("社会信用代码/组织机构代码	").attr({ valign: top })).append($("<td></td>").text(data.CertificateNumber).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("分类码").attr({ valign: top })).append($("<td></td>").text(data.CategoryCode).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("省市").attr({ valign: top })).append($("<td></td>").text(data.Provice).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("法定代表人").attr({ valign: top })).append($("<td></td>").text(data.LegalRepresentative).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("企业负责人").attr({ valign: top })).append($("<td></td>").text(data.CorporateDirector).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("质量负责人").attr({ valign: top })).append($("<td></td>").text(data.QualityAssuranceManager).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("地址").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationAddress).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("生产地址").attr({ valign: top })).append($("<td></td>").text(data.ProductionAddress).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("生产范围").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationRange).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("发证日期").attr({ valign: top })).append($("<td></td>").text(data.OpeningDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("有效期截止日").attr({ valign: top })).append($("<td></td>").text(data.EndDate).attr({ valign: top })));

                $gmp.append($("<tr></tr>").append($("<th></th>").text("发证机关").attr({ valign: top })).append($("<td></td>").text(data.LicenseIssuingAgencies).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("签发人").attr({ valign: top })).append($("<td></td>").text(data.IssuedByPeople).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("日常监管机构	").attr({ valign: top })).append($("<td></td>").text(data.DailyRegulators).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("日常监管人员").attr({ valign: top })).append($("<td></td>").text(data.DailyRegulatorsPeople).attr({ valign: top })));


            }

        });

    }).mouseleave(function () {
        $("#dv_gmp1").hide();
    });


    $(".gmp2").mouseover(function () {
        var $current = $(this);
        var offset = $current.offset();
        var top = offset.top - $(window).scrollTop() + 20;
        var left = offset.left - $(window).scrollLeft() - 30;
        var id = $current.attr("data-id");
        $("#dv_gmp2").show().css({ position: "fixed", "top": top + "px", "left": left + "px" });
        $.ajax({
            url: "/UserProfile/GetGMPAuthenticationInfo.ashx",
            type: "Get",
            data: { id: id },
            dataType: "json",
            success: function (data) {
                $("#tb_gmp2 tr").remove();
                var $gmp = $("#tb_gmp2");
                $gmp.append($("<tr></tr>").append($("<th></th>").text("登记证号").attr({ width: 90, valign: top })).append($("<td></td>").text(data.CertificateNumber).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("产品名称").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationRange).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("首次批准日期").attr({ valign: top })).append($("<td></td>").text(data.OpeningDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("有效期至").attr({ valign: top })).append($("<td></td>").text(data.EndDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("企业名称").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationCompany).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("毒性").attr({ valign: top })).append($("<td></td>").text(data.LicenseIssuingAgencies).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("剂型").attr({ valign: top })).append($("<td></td>").text(data.IssuedByPeople).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("农药类别").attr({ valign: top })).append($("<td></td>").text(data.DailyRegulators).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("总有效成分含量").attr({ valign: top })).append($("<td></td>").text(data.DailyRegulatorsPeople).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("备注").attr({ valign: top })).append($("<td></td>").text(data.SuperviseACall).attr({ valign: top })));

            }

        });

    }).mouseleave(function () {
        $("#dv_gmp2").hide();
    });

    $(".gmp3").mouseover(function () {
        var $current = $(this);
        var offset = $current.offset();
        var top = offset.top - $(window).scrollTop() + 20;
        var left = offset.left - $(window).scrollLeft() - 30;
        var id = $current.attr("data-id");
        $("#dv_gmp3").show().css({ position: "fixed", "top": top + "px", "left": left + "px" });
        $.ajax({
            url: "/UserProfile/GetGMPAuthenticationInfo.ashx",
            type: "Get",
            data: { id: id },
            dataType: "json",
            success: function (data) {
                $("#tb_gmp3 tr").remove();
                var $gmp = $("#tb_gmp3");
                $gmp.append($("<tr></tr>").append($("<th></th>").text("企业名称").attr({ width: 90, valign: top })).append($("<td></td>").text(data.AuthenticationCompany).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("兽药许可证号").attr({ valign: top })).append($("<td></td>").text(data.CertificateNumber).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("生产范围").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationRange).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("生产地址").attr({ valign: top })).append($("<td></td>").text(data.AuthenticationAddress).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("发证日期").attr({ valign: top })).append($("<td></td>").text(data.OpeningDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("有效期").attr({ valign: top })).append($("<td></td>").text(data.EndDate).attr({ valign: top })));
                $gmp.append($("<tr></tr>").append($("<th></th>").text("GMP许可证号").attr({ valign: top })).append($("<td></td>").text(data.SuperviseACall).attr({ valign: top })));
            }

        });

    }).mouseleave(function () {
        $("#dv_gmp3").hide();
    });
    //保存信息错误报告
    $("#it_add_producterror").click(function () {
        var data = $(this).data();
        //data-guid data-username data-cbnumber
        var email = $(":text[data-youremail]").val();
        var error = $("textarea[data-producterror]").val();
        if (email.trim() == "") {
            alert("邮箱不能为空！");
            return false;
        }
        if (email.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) { }
        else {
            alert("请填写正确的Email！");
            return false;
        }
        if (error.trim() == "") {
            alert("请告诉我们哪里错了，要不本宝宝不知道从哪改正哦！");
            return false;
        }
        $(this).prop("disabled", true);
        var username = data.username;
        var cbnumber = data.cbnumber;
        $.ajax({
            url: "/UserProfile/AddProductError.ashx",
            type: "Post",
            data: { cbnumber: cbnumber, email: email, error: error, username: username },
            dataType: "text",
            success: function (data) {
                alert("已收到您的反馈，非常感谢！\n我们有错就改！");
                $(":text[data-youremail]").val("");
                $("textarea[data-producterror]").val("");
                $("#it_add_producterror").attr("disabled", false);
            }
        });
    });
    //初始化委托
    var $delegate_bu = $("#bt_delegate_list");
    $("#a_temp_delegate").attr({
        "data-cbnumber": $delegate_bu.attr("data-cbnumber"),
        "data-cas": $delegate_bu.attr("data-cas"),
        "data-productname": $delegate_bu.attr("data-productname"),
        "data-source": "ProductListFloat"
    });

    $("a[data-field='directsale']").click(function () {
        if (parseInt($("a[data-field='reagentcount'").attr("data-reagent-count")) > 0) {
            $(this).attr("href", "https://www.caigoubang.com.cn/DirectSalesProductList.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber")).attr("data-go-caigou", "true");
        } else {
            $(this).attr("href", "https://www.caigoubang.com.cn").attr("data-go-caigou", "true");
        }
    });

    $("#toreagent").click(function () {
        if (parseInt($("a[data-field='reagentcount'").attr("data-reagent-count")) > 0) {
            $(this).attr("href", "https://www.caigoubang.com.cn/DirectSalesProductList.aspx?cbn=" + $("#bt_delegate_list").attr("data-cbnumber")).attr("data-go-caigou", "true");
        } else {
            $(this).attr("href", "https://www.caigoubang.com.cn").attr("data-go-caigou", "true");
        }
    });

    $("#bt_to_reagent").click(function () {
        $("a[data-field='directsale']").click();
    })

    //GetQuotationList();
    //$(".ShoppingListWrap").unbind("click");
    //$(".ShoppingListWrap").on("click", 'a[data-del="true"]', function () {
    //    var inquiryId = $(this).attr("data-inquiryid");
    //    if (parseInt(inquiryId) <= 0) {
    //        return;
    //    }
    //    $.ajax({
    //        url: "/UserProfile/PurchaseHelper/Purchases/Handler/DeleteInquiryList.ashx",
    //        type: "post",
    //        data: { inquiryId: inquiryId },
    //        dataType: "text",
    //        success: function (data) {
    //            if (data == "success") {
    //                GetQuotationList();
    //                alert("删除成功!");
    //            }
    //        }
    //    })
    //});

    $(".TouchArr2").each(function () {
        var img = $(this).closest(".CPicture").find("img");
        $(this).attr("data-index", 0);
        $(this).attr("data-len", img.length);
        for (var i = 0; i < img.length; i++) {
            if (i > 0) {
                $(img[i]).hide();
                var a = $(img[i]).closest('a');
                if (a) {
                    a.hide();
                }
            }
        }
    });
    $(".TouchArr2 .next").click(function () {
        var btn = $(this).closest(".TouchArr2");
        var img = $(this).closest(".CPicture").find("img");
        var index = parseInt(btn.attr("data-index"));
        var len = parseInt(btn.attr("data-len"));
        var cur = img.eq(index);
        var nextIndex = index + 1 < len ? index + 1 : 0;
        var next = img.eq(nextIndex);
        cur.hide();
        if (cur.closest("a")) cur.closest("a").hide();
        next.show();
        if (next.closest("a")) next.closest("a").show();
        btn.attr("data-index", nextIndex);
        btn.parent().find('[data-field="howmany"]').html((nextIndex + 1) + '<i>/' + len + '</i>')
    });
    $(".TouchArr2 .prev").click(function () {
        var btn = $(this).closest(".TouchArr2");
        var img = $(this).closest(".CPicture").find("img");
        var index = parseInt(btn.attr("data-index"));
        var len = parseInt(btn.attr("data-len"));
        var cur = img.eq(index);
        var prevIndex = index - 1 < 0 ? len - 1 : index - 1;
        var prev = img.eq(prevIndex);
        cur.hide();
        if (cur.closest("a")) cur.closest("a").hide();
        prev.show();
        if (prev.closest("a")) prev.closest("a").show();
        btn.attr("data-index", prevIndex);
        btn.parent().find('[data-field="howmany"]').html((prevIndex + 1) + '<i>/' + len + '</i>')
    });

    $(".Downwards").mouseenter(function () {
        var _that = this;
        var suppliername = $(this).attr("data-suppliername");
        var supplynumber = $(this).attr("data-supplynumber");
        if ($(this).find("div[data-suppliername='" + suppliername + "']").html() == "") {
            var url = "https://mapi.chemicalbook.com/mapi/GetSupplierCacheInfo?suppliername=" + suppliername + "&supplynumber=" + supplynumber;
            $.ajax({
                url: url,
                type: "get",
                dataType: 'JSONP',
                jsonp: "callback",
                data: { suppliername: suppliername, supplynumber: supplynumber },
                success: function (data) {
                    if (data == 0) {
                        $(_that).find("div[data-suppliername='" + suppliername + "']").html("");
                        $(_that).find("div[data-suppliername='" + suppliername + "']").hide();
                        $.ajax({
                            type: "GET",
                            url: "https://mapi.chemicalbook.com/tianyancha/services/getbaseinfo",
                            data: { keyword: suppliername, username: supplynumber, token: "" },
                            dataType: "JSONP",
                            success: function (data) {
                            }
                        });
                    }
                    else {
                        $(_that).find("div[data-suppliername='" + suppliername + "']").show();
                        $(_that).find("div[data-suppliername='" + suppliername + "']").html(data);
                        if (iswxp == 1) {
                            $(".Certify_more").hide();
                        }
                    }

                }
            });
        }

    });

    //var intervals = {};
    //var cpicture = $("div[data-field='cpicture']");
    //for (var i = 0; i < cpicture.length; i++) {
    //    let c = cpicture[i];
    //    index = setInterval(function () {
    //        $(c).find("a[class='prev']").click();
    //    }, 3000);

    //    intervals[$(c).parent().parent().attr("data-cbsid")] = index;
    //    //intervals.push(index);
    //}

    //var autoLog= setInterval(function() {
    //    $(".TouchArr2 .prev").click();
    //}, 3000);


    //$("div[data-field='cpicture']").mouseenter(function () {
    //    clearInterval(intervals[$(this).parent().parent().attr("data-cbsid")]);
    //})

    //$("div[data-field='cpicture']").mouseleave(function () {
    //    let that = this;
    //    index = setInterval(function () {
    //        $(that).find("a[class='prev']").click();
    //    }, 3000);
    //    intervals[$(this).parent().parent().attr("data-cbsid")] = index;
    //})

    var url = window.location.href;
    if (url.indexOf("#")) {
        var cbsid = url.substring(url.indexOf("#") + 1)
        if (!isNaN(cbsid)) {
            var point = $("a[data-field='point'][data-cbsid='" + cbsid + "']").offset().top;
            //document.body.scrollTop = ;
            window.scrollTo({
                top: point - 60,
                behavior: "smooth"
            })
        }
    }
    getPromotionProduct();

    $(".qqhmw,.sxqqhmw").mouseenter(function () {
        var src = $(this).find("img[data-wechat-img='true']").attr("src");
        if (src == "") {
            $(this).find("img[data-wechat-img='true']").attr("src", $(this).attr("data-img-src"));
        }
    })

    $("a[data-risk-box-close='true']").click(function () {
        $("div[data-risk-box='true']").hide();
    });

    $(".fengx").click(function () {
        if ($("#cookie_userName").val() != "") {
            var cbsid = $(this).attr("data-cbsid");
            $.get("/handler/GetUserRisk.ashx", { cbsid: cbsid }, function (result) {
                if (result != null) {
                    var riskHtml = '';
                    for (var i = 0; i < result.length; i++) {
                        if (result[i].RiskImg != "") {
                            riskHtml += '<span><img src="' + result[i].RiskImg + '"></span>';
                        }
                        riskHtml += '<div>' + result[i].RiskDesc + '</div>';
                    }
                    $("div[data-risk-content='true']").html(riskHtml);
                    if (riskHtml != '') {
                        $("div[data-risk-box='true']").show();
                    }
                }
            }, "json");
        }
        else {
            location.href = "/UserManager/Login.aspx?redirect=" + encodeURIComponent(location.pathname + location.search);
        }
    });

    $("span[data-field='distributor']").click(function () {
        var cbsid = $(this).attr("data-cbsid");
        $.get("/handler/GetDistributorInfo.ashx", { cbsid: cbsid, language: "CN" }, function (result) {
            if (result != null) {
                var table1 = result.Table;
                var table2 = result.Table1;
                distributorCities = result.Table2;

                $("img[data-company-logo='true']").attr("src", table1[0].logoURL);
                $("div[data-company-name='true']").text(table1[0].CompanyName_EN);
                if (table1[0].MainProductsCN != null && table1[0].MainProductsCN != '') {
                    $("div[data-main-products='true']").text("主营产品:" + table1[0].MainProductsCN);
                }


                var countryHtml = '';
                if (table2.length > 0) {
                    var country = "";
                    for (var i = 0; i < table2.length; i++) {
                        if (i == 0) {
                            distributorCountry = table2[i].Country;
                            /*countryHtml += '<span class="wdqa" data-country="true">' + table2[i].Country + '</span>';*/
                        }
                        else {
                            /*countryHtml += '<span data-country="true">' + table2[i].Country + '</span>';*/
                        }
                    }
                    $("div[data-distributor-country-box='true']").html(countryHtml);
                    $("span[data-country='true']").click(function () {
                        distributorCountry = $(this).text();
                        $("span[data-country='true']").removeClass("wdqa");
                        $(this).addClass("wdqa");
                        citySelect(distributorCities);
                    });
                    citySelect(distributorCities);
                }
                $("div[data-distributor-box='true']").show();
            }
        }, "json");

    })

    $("a[data-distributor-box-close='true']").click(function () {
        $("img[data-company-logo='true']").attr("src", "");
        $("div[data-company-name='true']").text("");
        $("div[data-main-products='true']").text("");
        $("div[data-distributor-country-box='true']").html("");
        $("div[data-distributor-city-box='true']").html("");
        $("div[data-distributor-box='true']").hide();
    })

    $(".itemalr").click(function () {
        if ($(".itemal").attr("style") == "height: auto;") {
            $(".itemal").css("height", "35px");
            $(".itemalr span").removeClass("itspan2");
            $(".itemalr span").addClass("itspan1");
            $(".itemalr span").text("更多");
        }
        else {
            $(".itemal").css("height", "auto");
            $(".itemalr span").removeClass("itspan1");
            $(".itemalr span").addClass("itspan2");
            $(".itemalr span").text("收起");
        }
    });
    //class="paix" data-sort="true"
    $(".paix[data-sort='true'] span").click(function () {
        if ($(this).hasClass("paixa")) {
            $(this).removeClass("paixa")
            window.location.href = removeUrlSearch("page", removeUrl("sort")); 
        } else {
            $(this).addClass("paixa").siblings().removeClass("paixa");
            var sort = $(this).attr("data-sort");
            window.location.href = removeUrlSearch("page", getUrl("sort", sort)); 
        }
    })
});
function QQCopy(obj) {
    $("#qrxbg").show();
    $("#qrxx").show();
    const input = document.createElement('input');
    document.body.appendChild(input);
    input.setAttribute('value', $(obj).attr("data-value"));
    input.select();
    if (document.execCommand('copy')) {
        document.execCommand('copy');
    }
    document.body.removeChild(input);
}
function citySelect(cl) {
    var city = cl.filter(function (city) {
        return city.Country == distributorCountry;
    });
    if (city.length > 0) {
        /*var cityHtml = '<div class="ebtit">' + distributorCountry + '</div>';*/
        var cityHtml = '';
        for (var i = 0; i < city.length; i++) {
            cityHtml += '<div class="ebli">';
            if (city[i].City != null && city[i].City != "") {
                cityHtml += '<div class="ebcs">' + city[i].City + '</div>';
            }
            if (city[i].CompanyName != null && city[i].CompanyName != "") {
                cityHtml += '<div class="ebgs">' + city[i].CompanyName + '</div>';
            }
            if (city[i].CompanyAddress != null && city[i].CompanyAddress != "") {
                cityHtml += '<div class="ebdz"> ' + city[i].CompanyAddress + '</div>';
            }
            cityHtml += '<div class="ebr">';
            if (city[i].Tel != null && city[i].Tel != "") {
                cityHtml += '<div><span>电话:</span>' + city[i].Tel + '</div>';
            }
            if (city[i].Mobile != null && city[i].Mobile != "") {
                cityHtml += '<div><span>手机:</span>' + city[i].Mobile + '</div>';
            }
            if (city[i].Email != null && city[i].Email != "") {
                cityHtml += '<div><span>邮箱:</span>' + city[i].Email + '</div>';
            }
            if (city[i].WebSite != null && city[i].WebSite != "") {
                cityHtml += '<div><span>网址:</span>' + city[i].WebSite + '</div>';
            }

            cityHtml += '</div>';
            cityHtml += '</div>';
        }
        $("div[data-distributor-city-box='true']").html(cityHtml);
    }
}
function GetQuotationList() {
    $.ajax({
        url: "/UserProfile/PurchaseHelper/Purchases/Handler/GetQuotationHandler.ashx",
        type: "post",
        dataType: "json",
        success: function (data) {
            if (data.pager.Total > 0) {
                var html = '<dl><dt>最近加入的货品：</dt>';
                for (var i = 0; i < data.data.length; i++) {
                    var price = '';
                    var qty = "1";
                    for (var j = 0; j < data.data[i].Items.length; j++) {
                        qty = data.data[i].Items[j].Qty;
                        if (data.data[i].Items[j].IsTax) {
                            //price = data.data[i].Items[j].Price + "/" + price;
                            price = data.data[i].Items[j].Price;
                        } else {
                            //price = price + data.data[i].Items[j].Price;
                        }
                    }
                    html += '<dd><div class="ShoppingList-tit">' + (data.data[i].ProductName ? data.data[i].ProductName : data.data[i].Cas) + ' ' + data.data[i].Requireds + '</div><span class="fr"></span>';
                    html += '    <p class="operate"><span class="c1  fl">' + price + '元*' + qty + '</span><span><a href="javascript:void(0)" data-del="true" data-inquiryid="' + data.data[i].InquiryId + '">删除</a></span> </p>';
                    html += '</dd>';
                }
                html += '</dl>';
                $(".ShoppingListWrap").html(html);
                $("#quotationCount").html('采购清单<i >' + data.pager.Total + '</i>');
            } else {
                $("#quotationList").html('<p class="center">进货单中暂未添加任何货品</p>');
                $("#quotationCount").html('采购清单');
            }
        }
    });


}


/*
 * 功能：显示查询条件
 * 时间：2015-12-23
 * 作者：李建峰 113633664
 */
displaySearchConditions = function () {

    var Searchkeys = ["tc", "ec", "st", "hp", "hg", "dg", "a", "b", "c", "d", "e", "f", "g", "h", "i", "g", "k", "l", "m", "n", "o", "p", "q", "r", "s", "t", "u", "v", "w", "x", "y", "z", "gmp", "ypxkz", "pmt", "tp", "dmf", "cep"];
    var parameters = getSearchParameters();
    if (parameters.length == 0) {
        $(".Sel_Y").hide();
    }
    else {
        var simepleQuery = "";
        for (var i = 0; i < parameters.length; i++) {
            var parameter = parameters[i];
            if (parameter.key) {
                $(".Sel_Y ul").append("<li>" + parameter.name + "<b class=\"icon_Pro icon_Pro_cha\" data-key=\"" + parameter.key + "\" data-name=\"" + parameter.val + "\"></b></li>");
            }
            //综合搜索
            $("li[data-key='" + parameter.key + "']").each(function () {
                var text = $(this).text();
                var name = $(this).attr("data-name").toLocaleLowerCase();
                if (name == parameter.value.toLocaleLowerCase()) {
                    $(this).toggleClass("Sel_h");
                    return false;
                }
            })
            $(".allw span[data-key='" + parameter.key + "']").each(function () {
                var text = $(this).text();
                var name = $(this).attr("data-name").toLocaleLowerCase();
                if (name == parameter.value.toLocaleLowerCase()) {
                    $(this).addClass("allwa").siblings().removeClass("allwa");
                    return false;
                }
            })
            //二次搜索条件
            if (parameter.key != "current") {
                simepleQuery += parameter.key + "=" + parameter.value;
                if (i < parameters.length - 1) {
                    simepleQuery += "&";
                }
            }
        }
        //赋予二次搜索条件
        $("a[data-smiple='true']").each(function () {
            var href = $(this).attr("href");
            if (simepleQuery != '') {
                $(this).attr("href", href + "&" + simepleQuery);
            }
            else {
                $(this).attr("href", href);
            }
        })
    }

}
/*
 * 功能：搜索条件效果
 * 参数：containerElement--jquery对象 容器
 *       targetElement--jquery对象 目标元素
 * 时间：2015-12-23
 * 作者：李建峰 113633664
 */
Conditions = function (containerElement, targetElement) {
    var _containerElement = containerElement;
    var _targetElement = targetElement;
    this.more = function () {
        var moreClass = "Sel_more";
        _containerElement.toggleClass(moreClass);
        if (_containerElement.hasClass(moreClass)) {
            targetElement.html("收起<i class=\"Sel_jt\"></i>");
        }
        else {
            targetElement.html("更多<i class=\"Sel_jt\"></i>");
        }
    },
        this.multiple = function () {
            var moreClass = "Sel_more";
            if (_containerElement.hasClass(moreClass)) {
                _containerElement.removeClass(moreClass);
                targetElement.prev().html("更多<i class=\"Sel_jt\"></i>");
            }
            _containerElement.toggleClass("Sel_multiple");

        },
        this.expend = function () {
            _containerElement.removeClass("Sel_multiple");
            //多选后取消
            var $selObject = _containerElement.find(".Sel_h");
            if ($selObject.length > 0) {
                $selObject.removeClass("Sel_h");
            }
        },
        this.multipleSearch = function () {
            var key, name;
            var $selected = _containerElement.find(".Sel_h [data-key]");
            if ($selected.length == 0) {
                $selected = _containerElement.find(".Sel_h[data-key]");
            }
            $selected.each(function () {
                var data = $(this).data();
                key = data.key;
                if (name) {
                    name += "|" + data.name;
                }
                else {
                    name = data.name;
                }
            });
            if (key && name) {

                window.location.href = removeUrlSearch("page", getUrl(key, name));
            }
        },
        this.singSearch = function () {

            if (_containerElement.hasClass("Sel_multiple")) {
                targetElement.toggleClass("Sel_h");
                //激活确定按钮
                var selectedLength = _containerElement.find(".Sel_h").length;
                var $save = _containerElement.find(":button[data-operator='save']");
                if (selectedLength > 0) {
                    $save.prop("disabled", false);
                }
                else {
                    $save.prop("disabled", true);
                }
            }
            else {
                var data = targetElement.data();
                var redirectUrl = getUrl(data.key, data.name);
                if (redirectUrl.lastIndexOf("#J_Condition") == -1) {
                    var urlStr = redirectUrl.split('?')[0];
                    var tag = urlStr.lastIndexOf("/") + 1;
                    var mm = urlStr.length - 5;
                    var urlName = urlStr.substring(tag, mm);
                    if (urlName.toUpperCase() == 'PRODUCTLIST') {
                        redirectUrl += "&left=" + $("#isShowLeft").val();
                    }
                    redirectUrl = redirectUrl + "#J_Condition";
                }

                window.location.href = removeUrlSearch("page", redirectUrl);
            }
        };
};
/*
 * 功能：获取url地址
 * 参数：name--参数名称 value--参数值
 * 时间：2015-12-23
 * 作者：李建峰 113633664
 */
getUrl = function (name, value) {
    var search = window.location.search;
    value = encodeURIComponent(value);
    if (search) {
        var searchs = search.replace(/\?/g, "").split("&");
        var repeater = false;
        var hascurrent = false;
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf(name + "=") == 0) {
                searchs[i] = name + "=" + value;
                repeater = true;
                break;
            }
        }
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf("current=") == 0) {
                searchs[i] = "current=" + name;
                hascurrent = true;
                break;
            }
        }
        if (!repeater) {
            searchs.push(name + "=" + value);
        }
        if (!hascurrent) {
            searchs.push("current=" + name);
        }
        var searchsresult = new Array();
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf("nonum=") == 0) {
                continue;
            }
            else {
                searchsresult.push(searchs[i]);
            }
        }
        return window.location.href.replace(search, "?" + searchsresult.join("&"));
    }
    else {
        return window.location.href + "?" + name + "=" + value;
    }
};
/*
 * 功能：删除url地址
 * 参数：name--参数名称
 * 时间：2015-12-23
 * 作者：李建峰 113633664
 */
removeUrl = function (name, url) {
    var search = window.location.search;
    if (search) {
        var searchs = search.replace(/\?/g, "").split("&");
        var index = -1;
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf(name + "=") == 0) {
                index = i;
                break;
            }
        }
        if (index > -1) {
            searchs.splice(index, 1);
        }
        var nonumindex = -1;
        for (var i = 0; i < searchs.length; i++) {
            if (searchs[i].indexOf("nonum=") == 0) {
                nonumindex = i;
                break;
            }
        }
        if (nonumindex > -1) {
            searchs.splice(nonumindex, 1);
        }
        if (searchs.length > 0) {
            return window.location.href.replace(search, "?" + searchs.join("&"));
        }
        else {
            return window.location.href.replace(search, "");
        }
    }
}
removeUrlSearch = function (name, url) {
    var patter = "&" + name + "=[^&#]+";
    return url.replace(new RegExp(patter), "").replace("&nonum=1", "");
};
/*
 * 功能：获取查询参数值
 * 返回值：[{key:name}]
 * 时间：2015-12-23
 * 作者：李建峰 113633664
 */
getSearchParameters = function () {
    var search = window.location.search;
    var parameters = [];
    if (search) {


        var searchs = search.replace(/\?/g, "").split("&");

        //字母或字母+数字为动态查询条件，两个字母的为固定查询
        for (var i = 0; i < searchs.length; i++) {
            var parameter = searchs[i].split("=");
            var key = parameter[0];
            var name = decodeURIComponent(parameter[1]);
            var value = name;
            switch (key) {
                case "ec":
                    switch (name) {
                        case "0":
                            name = "贸易";
                            break;
                        case "1":
                            name = "工厂";
                            break;
                        case "2":
                            name = "试剂";
                            break;
                        case "3":
                            name = "定制";
                            break;
                        case "4":
                            name = "服务";
                            break;
                    }
                    break;
                case "st":
                    name = "现货";
                    break;
                case "hp":
                    name = "有价格";
                    break;
                case "hg":
                    name = "金牌供应商";
                    break;
                case "lg":
                    name = "大货";
                    break;
                case "dg":
                    name = "支持订购";
                    break;
                case "tc":
                    name = "产品数<300";
                    break;
                case "gmp":
                    name = "GMP";
                    break;
                case "ypxkz":
                    name = "药品许可证";
                    break;
                case "nyxkz":
                    name = "农药";
                    break;
                case "syxkz":
                    name = "兽药";
                    break;
                case "bzp":
                    name = "标准品";
                    break;
                case "dzp":
                    name = "对照品";
                    break;
                case "zzp":
                    name = "杂质";
                    break;
                case "pmt":
                    name = "CAC农化展";
                    break;
                case "tp":
                    name = "图谱";
                    break;
                case "lm":
                    name = "文献";
                    break;
                case "dmf":
                    name = "DMF";
                    break;
                case "cep":
                    name = "CEP";
                    break;
                default:
                    name = name.replace("<", "").replace(">", "").replace("script", "").replace(/\|/g, "、");
                    break;

            }
            var patter = /^(?:cbn|kwd|page|current|left|pc|nonum|sort|desc|_per)$/i;
            if (!patter.test(key)) {
                parameters.push({ key: key, name: name, value: value });
            }

        }
    }
    return parameters;

}


getPromotionProduct = function () {
    var cbsids = [];
    $(".debox[data-promotionproduct='true']").each(function () {
        cbsids.push($(this).attr("data-cbsid"));
    });
    if (cbsids.length <= 0) { return; }
    var cbn = $(".debox[data-promotionproduct='true']").eq(0).attr("data-cbn");
    $.ajax({
        url: "/Handler/GetSupplierOfPromotionProduct.ashx",
        data: { cbsids: cbsids.join(","), cbn: cbn },
        type: "post",
        dataType: "json",
        success: function (data) {
            if (data) {
                var json = data.Table;
                if (json && json.length > 0) {
                    var userName = $("#cookie_userName").val();
                    for (var i = 0; i < json.length; i++) {
                        var html = '<div class="delist">';
                        html += '<a class="delimg"><span></span>'
                        if (json[i].AppearanceImg) {
                            html += '<img src="https://img.chemicalbook.com' + json[i].AppearanceImg + '" />'
                        } else if (json[i].StructureUrl) {
                            html += '<img src="https://img.chemicalbook.com/' + json[i].StructureUrl + '" />'
                        } else if (json[i].CAS) {
                            html += '<img src="https://img.chemicalbook.com/CAS/GIF/' + json[i].CAS + '.gif" />'
                        } else {
                            html += '<img src="" />'
                        }
                        html += '</a>';
                        html += '<div class="cfy">';
                        //html += '<span class="syi"></span>';
                        html += '    <div class="del">';
                        if (json[i].AppearanceImg) {
                            html += '   <img src="https://img.chemicalbook.com' + json[i].AppearanceImg + '" />'
                        } else if (json[i].StructureUrl) {
                            html += '   <img src="https://img.chemicalbook.com/' + json[i].StructureUrl + '" />'
                        } else if (json[i].CAS) {
                            html += '   <img src="https://img.chemicalbook.com/CAS/GIF/' + json[i].CAS + '.gif" />'
                        } else {
                            html += '   <img src="" />'
                        }
                        html += '    </div>';
                        html += '    <div class="der">';
                        if (json[i].ProductName) {
                            html += '        <div>';
                            html += '            <span class="despan1">中文名称：</span>';
                            html += '            <span class="despan2">' + json[i].ProductName + '</span>';
                            html += '        </div>';
                        }
                        if (json[i].ProductEnName) {
                            html += '        <div>';
                            html += '            <span class="despan1">英文名称：</span>';
                            html += '            <span class="despan2">' + json[i].ProductEnName + '</span>';
                            html += '        </div>';
                        }
                        if (json[i].CAS) {
                            html += '        <div>';
                            html += '            <span class="despan1">CAS：</span>';
                            html += '            <span class="despan2">' + json[i].CAS + '</span>';
                            html += '        </div>';
                        }
                        if (json[i].ProductBriefIntroduction) {
                            html += '        <div>';
                            html += '            <span class="despan1">其它信息：</span>';
                            html += '            <span class="despan2">' + json[i].ProductBriefIntroduction + '</span>';
                            html += '        </div>';
                        }
                        html += '    </div>';
                        html += '    <a class="wwt" data-delegate-purchase="true" data-cas="' + json[i].CAS + '" data-productname="' + json[i].ProductName + '" data-sigin="' + (userName ? "true" : "false") + '" data-cbnumber="' + json[i].CBNumber + '" data-source="ProductListPromotion" data-module="MTS" data-two-module="CN" data-three-module="委托采购" data-page-url="ProductList" title="' + json[i].ProductName + '">委托采购</a>';
                        html += '</div>';
                        html += '</div>';
                        $(".debox[data-promotionproduct='true'][data-cbsid='" + json[i].cbsid + "']").show().append(html);
                    }
                }
                var dt1 = data.Table1;
                if (dt1 && dt1.length > 0) {
                    for (var i = 0; i < dt1.length; i++) {
                        $(".dep[data-cbsid='" + dt1[i].cbsid + "']").html(dt1[i].AnswerValueData);
                    }
                }
            }
        }
    })
}

//function IndustryFeaturedShow() {
//    timer = setInterval(function () {
//        Switch();
//        if (switchseed >= divCount) {
//            switchseed = 1;
//        }
//        else {
//        switchseed++;
//        }
//    }, 1500);
//}
//function Switch() {
//    $("#IndustryFeatured").find("div[name='industry']").each(function () {
//        if ($(this).attr('id')== switchseed) {
//            $(this).show();
//        }
//        else {
//            $(this).hide();
//        }
//    });
//}

//function DivOnMouseOver(obj) {
//    switchseed = $(obj).attr("id");
//    Switch();
//    clearInterval(timer);
//}

//function DivOnMouseOut(obj) {
//    if (switchseed != divCount) {
//        switchseed++;
//    }
//    else {
//        switchseed = 1;
//    }
//    IndustryFeaturedShow();
//}



